List Transactions

​

List transactions with optional filtering.

Query Parameters

  • Merchant ID filter

  • Terminal ID filter

  • Location ID filter

  • Account ID filter

  • Event ID filter

  • Reader identifier filter

  • Gateway transaction ID filter

  • Maximum number of transactions to return

  • Number of transactions to skip

Headers

  • Response format. Must be application/json.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/transactions
curl 'https://api.uat.koard.com/v1/transactions?limit=100&offset=0' \
  --header 'Accept: application/json' \
  --header 'x-koard-apikey: YOUR_SECRET_TOKEN'
[
  {
    "account_id": "string",
    "additional_details": {},
    "apple_transaction_id": "string",
    "batch_id": null,
    "card": "string",
    "card_brand": "string",
    "card_type": "string",
    "created_at": 1,
    "currency": "string",
    "device_id": null,
    "event_id": "string",
    "gateway": null,
    "gateway_transaction_id": null,
    "gateway_transaction_response": null,
    "history": [],
    "location_id": null,
    "merchant_name": "",
    "mid": "string",
    "owner_id": null,
    "parent_account_ids": [
      "string"
    ],
    "payment_method": "string",
    "processor": null,
    "processor_mid": "string",
    "processor_response_code": null,
    "processor_response_message": null,
    "processor_tid": "string",
    "reader_identifier": "string",
    "refunded": null,
    "reversed": null,
    "status": null,
    "status_reason": "approved",
    "subtotal": 1,
    "surcharge_amount": null,
    "surcharge_applied": false,
    "surcharge_rate": null,
    "tax_amount": null,
    "tax_rate": null,
    "tid": "string",
    "tip_amount": null,
    "tip_type": "fixed",
    "total_amount": 1,
    "transaction_id": "string",
    "transaction_type": null,
    "surcharge_basis": "total",
    "surcharge_confirmation_required": null,
    "tax_basis": "total",
    "device_type": null,
    "psp": null,
    "surcharge_source": "transaction",
    "tax_source": "transaction",
    "terminal_details": null,
    "tip_capture_mode": "tip_at_sale"
  }
]